import 'package:json_annotation/json_annotation.dart';

import '../../bean/request_friend_info.dart';

part 'request_friend_list_response.g.dart';

@JsonSerializable()
class RequestFriendListResponse {
  @JsonKey(name: 'count')
  int count;

  @JsonKey(name: 'list')
  List<RequestFriendInfo>? list;

  RequestFriendListResponse(this.count, this.list);

  factory RequestFriendListResponse.fromJson(Map<String, dynamic> json) =>
      _$RequestFriendListResponseFromJson(json);

  Map<String, dynamic> toJson() => _$RequestFriendListResponseToJson(this);
}
